<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
</body>
<script>
    class Bird {
        energy = 0

        fly(km) {
            this.energy = this.energy - (10 + km * 2)
        }

        eat(grams) {
            this.energy = this.energy + (grams * 4)
        }
    }

    let pepita = new Bird() //Classes are written with first letter capital

    console.log("Before flying: " + pepita.energy)
    pepita.fly(200) //km pepita flies
    console.log("After flying and before eating: " + pepita.energy)
    pepita.eat(400) //grams of birdseed
    console.log("After eating: " + pepita.energy)
</script>

</html>